Package org.springframework.security.web.server.header

# Enum Class ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy

java.lang.Object
java.lang.Enum<ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy>
org.springframework.security.web.server.header.ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy>`, `Constable`

Enclosing class:
  ReferrerPolicyServerHttpHeadersWriter

public static enum ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy extends Enum<ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NO_REFERRER`
`NO_REFERRER_WHEN_DOWNGRADE`
`ORIGIN`
`ORIGIN_WHEN_CROSS_ORIGIN`
`SAME_ORIGIN`
`STRICT_ORIGIN`
`STRICT_ORIGIN_WHEN_CROSS_ORIGIN`
`UNSAFE_URL`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPolicy()`
`static ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_REFERRER

public static final ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy NO_REFERRER

### NO_REFERRER_WHEN_DOWNGRADE

public static final ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy NO_REFERRER_WHEN_DOWNGRADE

### SAME_ORIGIN

public static final ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy SAME_ORIGIN

### ORIGIN

public static final ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy ORIGIN

### STRICT_ORIGIN

public static final ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy STRICT_ORIGIN

### ORIGIN_WHEN_CROSS_ORIGIN

public static final ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy ORIGIN_WHEN_CROSS_ORIGIN

### STRICT_ORIGIN_WHEN_CROSS_ORIGIN

public static final ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy STRICT_ORIGIN_WHEN_CROSS_ORIGIN

### UNSAFE_URL

public static final ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy UNSAFE_URL

## Method Details

### values

public static ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReferrerPolicyServerHttpHeadersWriter.ReferrerPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPolicy

public String getPolicy()